<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: NANO102/112 Peripheral Declaration</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">NANO102/112 Peripheral Declaration<div class="ingroups"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html">NANO102/112 Peripheral Memory Map</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for NANO102/112 Peripheral Declaration:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.png" border="0" usemap="#ada_2d2d_2group______n__a__n__o1__x2______p__e__r__i__p__h__e__r__a__l______d__e__c__l__a__r__a__t__i__o__n" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d6/d70/group___n_a_n_o1_x2___i_o___r_o_u_t_i_n_e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d70/group___n_a_n_o1_x2___i_o___r_o_u_t_i_n_e.html">NANO102/112 I/O Routines</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga9646f603341e1ee220bf5d9948f05cb0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d18/struct_w_d_t___t.html">WDT_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>)</td></tr>
<tr class="memdesc:ga9646f603341e1ee220bf5d9948f05cb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to WDT register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">More...</a><br /></td></tr>
<tr class="separator:ga9646f603341e1ee220bf5d9948f05cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8191172d5a07f323cfcb4bebf36801d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8191172d5a07f323cfcb4bebf36801d6">WWDT</a>&#160;&#160;&#160;((<a class="el" href="../../d3/d15/struct_w_w_d_t___t.html">WWDT_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2e03465382873f5ec4eb6842d3d7acad">WWDT_BASE</a>)</td></tr>
<tr class="memdesc:ga8191172d5a07f323cfcb4bebf36801d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to WWDT register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8191172d5a07f323cfcb4bebf36801d6">More...</a><br /></td></tr>
<tr class="separator:ga8191172d5a07f323cfcb4bebf36801d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5359a088f5d8b20ce74d920e46059304"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>&#160;&#160;&#160;((<a class="el" href="../../d3/db0/struct_r_t_c___t.html">RTC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4265e665d56225412e57a61d87417022">RTC_BASE</a>)</td></tr>
<tr class="memdesc:ga5359a088f5d8b20ce74d920e46059304"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to RTC register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">More...</a><br /></td></tr>
<tr class="separator:ga5359a088f5d8b20ce74d920e46059304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">TIMER0</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>)</td></tr>
<tr class="memdesc:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to TIMER0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">More...</a><br /></td></tr>
<tr class="separator:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63bf4f24c85f26e838f55701a5e69831"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga63bf4f24c85f26e838f55701a5e69831">TIMER1</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>)</td></tr>
<tr class="memdesc:ga63bf4f24c85f26e838f55701a5e69831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to TIMER1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga63bf4f24c85f26e838f55701a5e69831">More...</a><br /></td></tr>
<tr class="separator:ga63bf4f24c85f26e838f55701a5e69831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca904d0e4ebb6d643c349f7f05613995"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaca904d0e4ebb6d643c349f7f05613995">TIMER2</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga933376d74e94dae8f42e17c09bd91faa">TIMER2_BASE</a>)</td></tr>
<tr class="memdesc:gaca904d0e4ebb6d643c349f7f05613995"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to TIMER2 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaca904d0e4ebb6d643c349f7f05613995">More...</a><br /></td></tr>
<tr class="separator:gaca904d0e4ebb6d643c349f7f05613995"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d4063b72c434f0e7afa8eb2a0e7ee00"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6d4063b72c434f0e7afa8eb2a0e7ee00">TIMER3</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2bcbc0fe8296511a1a9d12caff242819">TIMER3_BASE</a>)</td></tr>
<tr class="memdesc:ga6d4063b72c434f0e7afa8eb2a0e7ee00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to TIMER3 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6d4063b72c434f0e7afa8eb2a0e7ee00">More...</a><br /></td></tr>
<tr class="separator:ga6d4063b72c434f0e7afa8eb2a0e7ee00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86abb2e8858d177c04e60c41e9242045"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga86abb2e8858d177c04e60c41e9242045">I2C0</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">I2C0_BASE</a>)</td></tr>
<tr class="memdesc:ga86abb2e8858d177c04e60c41e9242045"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to I2C0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga86abb2e8858d177c04e60c41e9242045">More...</a><br /></td></tr>
<tr class="separator:ga86abb2e8858d177c04e60c41e9242045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab45d257574da6fe1f091cc45b7eda6cc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gab45d257574da6fe1f091cc45b7eda6cc">I2C1</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gacd72dbffb1738ca87c838545c4eb85a3">I2C1_BASE</a>)</td></tr>
<tr class="memdesc:gab45d257574da6fe1f091cc45b7eda6cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to I2C1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gab45d257574da6fe1f091cc45b7eda6cc">More...</a><br /></td></tr>
<tr class="separator:gab45d257574da6fe1f091cc45b7eda6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf26e39c91b262cc480085abcc450d3d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">SPI0</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">SPI0_BASE</a>)</td></tr>
<tr class="memdesc:gaf26e39c91b262cc480085abcc450d3d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SPI0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">More...</a><br /></td></tr>
<tr class="separator:gaf26e39c91b262cc480085abcc450d3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad483be344a28ac800be8f03654a9612f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gad483be344a28ac800be8f03654a9612f">SPI1</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga50cd8b47929f18b05efbd0f41253bf8d">SPI1_BASE</a>)</td></tr>
<tr class="memdesc:gad483be344a28ac800be8f03654a9612f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SPI1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gad483be344a28ac800be8f03654a9612f">More...</a><br /></td></tr>
<tr class="separator:gad483be344a28ac800be8f03654a9612f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a4ad06a2bcb1065209a117ea09bbfbf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga7a4ad06a2bcb1065209a117ea09bbfbf">PWM0</a>&#160;&#160;&#160;((<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafd4cf3319d145ce948188816693d06d6">PWM0_BASE</a>)</td></tr>
<tr class="memdesc:ga7a4ad06a2bcb1065209a117ea09bbfbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PWM0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga7a4ad06a2bcb1065209a117ea09bbfbf">More...</a><br /></td></tr>
<tr class="separator:ga7a4ad06a2bcb1065209a117ea09bbfbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0508661f121639ffdee7de2353a0def2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0508661f121639ffdee7de2353a0def2">UART0</a>&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a07348b4332ff6b88abf6092347deba">UART0_BASE</a>)</td></tr>
<tr class="memdesc:ga0508661f121639ffdee7de2353a0def2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to UART0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0508661f121639ffdee7de2353a0def2">More...</a><br /></td></tr>
<tr class="separator:ga0508661f121639ffdee7de2353a0def2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d69bf04d07af4fbbab5a8bd291f65ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8d69bf04d07af4fbbab5a8bd291f65ff">UART1</a>&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga383bf0c4670c3a7fa72df80f66331a46">UART1_BASE</a>)</td></tr>
<tr class="memdesc:ga8d69bf04d07af4fbbab5a8bd291f65ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to UART1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8d69bf04d07af4fbbab5a8bd291f65ff">More...</a><br /></td></tr>
<tr class="separator:ga8d69bf04d07af4fbbab5a8bd291f65ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf2d80992dcfabfd1668184c3dff2733"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>&#160;&#160;&#160;((<a class="el" href="../../d5/dfd/struct_l_c_d___t.html">LCD_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga017749aad23300240ef5ac4c3d5ca750">LCD_BASE</a>)</td></tr>
<tr class="memdesc:gabf2d80992dcfabfd1668184c3dff2733"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to LCD register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">More...</a><br /></td></tr>
<tr class="separator:gabf2d80992dcfabfd1668184c3dff2733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54d148b91f3d356713f7e367a2243bea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>)</td></tr>
<tr class="memdesc:ga54d148b91f3d356713f7e367a2243bea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to ADC register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">More...</a><br /></td></tr>
<tr class="separator:ga54d148b91f3d356713f7e367a2243bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadab49b9fc27febd87bbc529b0b9a5d67"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">SC0</a>&#160;&#160;&#160;((<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac033c7daa22ae646408a635005a3cdd7">SC0_BASE</a>)</td></tr>
<tr class="memdesc:gadab49b9fc27febd87bbc529b0b9a5d67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SC0 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">More...</a><br /></td></tr>
<tr class="separator:gadab49b9fc27febd87bbc529b0b9a5d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8aeb36cc3ad2c5cc4eb7d4782160a14c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8aeb36cc3ad2c5cc4eb7d4782160a14c">SC1</a>&#160;&#160;&#160;((<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga9b1b1711d2d7dfaa0bb4d690477da61d">SC1_BASE</a>)</td></tr>
<tr class="memdesc:ga8aeb36cc3ad2c5cc4eb7d4782160a14c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SC1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8aeb36cc3ad2c5cc4eb7d4782160a14c">More...</a><br /></td></tr>
<tr class="separator:ga8aeb36cc3ad2c5cc4eb7d4782160a14c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8b90783a67cca84746999e2d4dfc735c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>)</td></tr>
<tr class="memdesc:ga8b90783a67cca84746999e2d4dfc735c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to ACMP register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">More...</a><br /></td></tr>
<tr class="separator:ga8b90783a67cca84746999e2d4dfc735c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3d9f52a1a315303ad04f0576bd42a25"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>&#160;&#160;&#160;((<a class="el" href="../../d8/d7f/struct_s_y_s___t.html">SYS_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0da045a8f147a1dffad9df645d6f55db">SYS_BASE</a>)</td></tr>
<tr class="memdesc:gae3d9f52a1a315303ad04f0576bd42a25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SYS register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">More...</a><br /></td></tr>
<tr class="separator:gae3d9f52a1a315303ad04f0576bd42a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d89/struct_c_l_k___t.html">CLK_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>)</td></tr>
<tr class="memdesc:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to CLK register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">More...</a><br /></td></tr>
<tr class="separator:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74cb3af6041b109c53743b600ebbcf4c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad7723846cc5db8e43a44d78cf21f6efa">GPIOA_BASE</a>)</td></tr>
<tr class="memdesc:ga74cb3af6041b109c53743b600ebbcf4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port A register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">More...</a><br /></td></tr>
<tr class="separator:ga74cb3af6041b109c53743b600ebbcf4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a06f3773d46878dc58f8dadd6fd0d72"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac944a89eb789000ece920c0f89cb6a68">GPIOB_BASE</a>)</td></tr>
<tr class="memdesc:ga2a06f3773d46878dc58f8dadd6fd0d72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port B register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">More...</a><br /></td></tr>
<tr class="separator:ga2a06f3773d46878dc58f8dadd6fd0d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga600721f0222b857dc8a3ae59e5077347"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga26f267dc35338eef219544c51f1e6b3f">GPIOC_BASE</a>)</td></tr>
<tr class="memdesc:ga600721f0222b857dc8a3ae59e5077347"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port C register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">More...</a><br /></td></tr>
<tr class="separator:ga600721f0222b857dc8a3ae59e5077347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga960c2f6c3fca885af2c1ea2b88dee7b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1a93ab27129f04064089616910c296ec">GPIOD_BASE</a>)</td></tr>
<tr class="memdesc:ga960c2f6c3fca885af2c1ea2b88dee7b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port D register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">More...</a><br /></td></tr>
<tr class="separator:ga960c2f6c3fca885af2c1ea2b88dee7b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga211238ffe3627f42ca7b04bc96cc8fa6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab487b1983d936c4fee3e9e88b95aad9d">GPIOE_BASE</a>)</td></tr>
<tr class="memdesc:ga211238ffe3627f42ca7b04bc96cc8fa6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port E register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">More...</a><br /></td></tr>
<tr class="separator:ga211238ffe3627f42ca7b04bc96cc8fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0e278c26c25558741febfadd7216caa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7f9a3f4223a1a784af464a114978d26e">GPIOF_BASE</a>)</td></tr>
<tr class="memdesc:gaa0e278c26c25558741febfadd7216caa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port F register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">More...</a><br /></td></tr>
<tr class="separator:gaa0e278c26c25558741febfadd7216caa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dc9/struct_g_p___d_b___t.html">GP_DB_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3d17ff727b536d3d94e5affbc550d495">GPIODBNCE_BASE</a>)</td></tr>
<tr class="memdesc:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO debounce register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">More...</a><br /></td></tr>
<tr class="separator:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a7a60c457a969fe5e763835d39191f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1a7a60c457a969fe5e763835d39191f8">PDMA1</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabc9fa08be52865061ba5e57b21d4e745">PDMA1_BASE</a>)</td></tr>
<tr class="memdesc:ga1a7a60c457a969fe5e763835d39191f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA1 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1a7a60c457a969fe5e763835d39191f8">More...</a><br /></td></tr>
<tr class="separator:ga1a7a60c457a969fe5e763835d39191f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a0cb094c2b6987e82f99e3a508c9878"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a0cb094c2b6987e82f99e3a508c9878">PDMA2</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga04e7fd6788720ca31fe2ab561ad7e521">PDMA2_BASE</a>)</td></tr>
<tr class="memdesc:ga2a0cb094c2b6987e82f99e3a508c9878"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA2 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a0cb094c2b6987e82f99e3a508c9878">More...</a><br /></td></tr>
<tr class="separator:ga2a0cb094c2b6987e82f99e3a508c9878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac624f84ba3d194d6963c42fffdb3a0b4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gac624f84ba3d194d6963c42fffdb3a0b4">PDMA3</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gae1a56dc93403f11a289bc5cccfc89394">PDMA3_BASE</a>)</td></tr>
<tr class="memdesc:gac624f84ba3d194d6963c42fffdb3a0b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA3 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gac624f84ba3d194d6963c42fffdb3a0b4">More...</a><br /></td></tr>
<tr class="separator:gac624f84ba3d194d6963c42fffdb3a0b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab14c3e90fc2807a0c944501a979ce97b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gab14c3e90fc2807a0c944501a979ce97b">PDMA4</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga640b34d6d227e2ae1f467738e45e2573">PDMA4_BASE</a>)</td></tr>
<tr class="memdesc:gab14c3e90fc2807a0c944501a979ce97b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA4 register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gab14c3e90fc2807a0c944501a979ce97b">More...</a><br /></td></tr>
<tr class="separator:gab14c3e90fc2807a0c944501a979ce97b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58e74ec4261a6249b687005c7a6aaf02"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>&#160;&#160;&#160;((<a class="el" href="../../dc/d95/struct_d_m_a___c_r_c___t.html">DMA_CRC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaca3baf28ee34d10ea3cf8cd41cb03020">PDMACRC_BASE</a>)</td></tr>
<tr class="memdesc:ga58e74ec4261a6249b687005c7a6aaf02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA CRC register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">More...</a><br /></td></tr>
<tr class="separator:ga58e74ec4261a6249b687005c7a6aaf02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4c57f065fae4522432c2e137c947436"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>&#160;&#160;&#160;((<a class="el" href="../../da/d8e/struct_d_m_a___g_c_r___t.html">DMA_GCR_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa541818ffba2b149994ff51f62b98d29">PDMAGCR_BASE</a>)</td></tr>
<tr class="memdesc:gae4c57f065fae4522432c2e137c947436"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PDMA global control register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">More...</a><br /></td></tr>
<tr class="separator:gae4c57f065fae4522432c2e137c947436"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga970254e6dadedc433f57d43709636664"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>&#160;&#160;&#160;((<a class="el" href="../../d7/d18/struct_f_m_c___t.html">FMC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>)</td></tr>
<tr class="memdesc:ga970254e6dadedc433f57d43709636664"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to FMC register structure.  <a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">More...</a><br /></td></tr>
<tr class="separator:ga970254e6dadedc433f57d43709636664"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p >The Declaration of NANO102/112 Series Peripheral </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga8b90783a67cca84746999e2d4dfc735c" name="ga8b90783a67cca84746999e2d4dfc735c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8b90783a67cca84746999e2d4dfc735c">&#9670;&nbsp;</a></span>ACMP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP&#160;&#160;&#160;((<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to ACMP register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10648">10648</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga54d148b91f3d356713f7e367a2243bea" name="ga54d148b91f3d356713f7e367a2243bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga54d148b91f3d356713f7e367a2243bea">&#9670;&nbsp;</a></span>ADC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC&#160;&#160;&#160;((<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to ADC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10645">10645</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga4b355291fe6b8ba8e167ab0faa862e45" name="ga4b355291fe6b8ba8e167ab0faa862e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4b355291fe6b8ba8e167ab0faa862e45">&#9670;&nbsp;</a></span>CLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CLK&#160;&#160;&#160;((<a class="el" href="../../d5/d89/struct_c_l_k___t.html">CLK_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to CLK register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10651">10651</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga970254e6dadedc433f57d43709636664" name="ga970254e6dadedc433f57d43709636664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga970254e6dadedc433f57d43709636664">&#9670;&nbsp;</a></span>FMC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC&#160;&#160;&#160;((<a class="el" href="../../d7/d18/struct_f_m_c___t.html">FMC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to FMC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10665">10665</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga1037b18e2d226fe7d327d4a6f17a21c1" name="ga1037b18e2d226fe7d327d4a6f17a21c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1037b18e2d226fe7d327d4a6f17a21c1">&#9670;&nbsp;</a></span>GPIO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO&#160;&#160;&#160;((<a class="el" href="../../d4/dc9/struct_g_p___d_b___t.html">GP_DB_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3d17ff727b536d3d94e5affbc550d495">GPIODBNCE_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO debounce register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10658">10658</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga86abb2e8858d177c04e60c41e9242045" name="ga86abb2e8858d177c04e60c41e9242045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86abb2e8858d177c04e60c41e9242045">&#9670;&nbsp;</a></span>I2C0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C0&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">I2C0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to I2C0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10637">10637</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gab45d257574da6fe1f091cc45b7eda6cc" name="gab45d257574da6fe1f091cc45b7eda6cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab45d257574da6fe1f091cc45b7eda6cc">&#9670;&nbsp;</a></span>I2C1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C1&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gacd72dbffb1738ca87c838545c4eb85a3">I2C1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to I2C1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10638">10638</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gabf2d80992dcfabfd1668184c3dff2733" name="gabf2d80992dcfabfd1668184c3dff2733"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabf2d80992dcfabfd1668184c3dff2733">&#9670;&nbsp;</a></span>LCD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD&#160;&#160;&#160;((<a class="el" href="../../d5/dfd/struct_l_c_d___t.html">LCD_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga017749aad23300240ef5ac4c3d5ca750">LCD_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to LCD register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10644">10644</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga74cb3af6041b109c53743b600ebbcf4c" name="ga74cb3af6041b109c53743b600ebbcf4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga74cb3af6041b109c53743b600ebbcf4c">&#9670;&nbsp;</a></span>PA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PA&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad7723846cc5db8e43a44d78cf21f6efa">GPIOA_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port A register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10652">10652</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga2a06f3773d46878dc58f8dadd6fd0d72" name="ga2a06f3773d46878dc58f8dadd6fd0d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2a06f3773d46878dc58f8dadd6fd0d72">&#9670;&nbsp;</a></span>PB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PB&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac944a89eb789000ece920c0f89cb6a68">GPIOB_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port B register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10653">10653</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga600721f0222b857dc8a3ae59e5077347" name="ga600721f0222b857dc8a3ae59e5077347"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga600721f0222b857dc8a3ae59e5077347">&#9670;&nbsp;</a></span>PC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PC&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga26f267dc35338eef219544c51f1e6b3f">GPIOC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port C register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10654">10654</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga960c2f6c3fca885af2c1ea2b88dee7b7" name="ga960c2f6c3fca885af2c1ea2b88dee7b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga960c2f6c3fca885af2c1ea2b88dee7b7">&#9670;&nbsp;</a></span>PD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PD&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1a93ab27129f04064089616910c296ec">GPIOD_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port D register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10655">10655</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga1a7a60c457a969fe5e763835d39191f8" name="ga1a7a60c457a969fe5e763835d39191f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a7a60c457a969fe5e763835d39191f8">&#9670;&nbsp;</a></span>PDMA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA1&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabc9fa08be52865061ba5e57b21d4e745">PDMA1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10659">10659</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga2a0cb094c2b6987e82f99e3a508c9878" name="ga2a0cb094c2b6987e82f99e3a508c9878"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2a0cb094c2b6987e82f99e3a508c9878">&#9670;&nbsp;</a></span>PDMA2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA2&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga04e7fd6788720ca31fe2ab561ad7e521">PDMA2_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA2 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10660">10660</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gac624f84ba3d194d6963c42fffdb3a0b4" name="gac624f84ba3d194d6963c42fffdb3a0b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac624f84ba3d194d6963c42fffdb3a0b4">&#9670;&nbsp;</a></span>PDMA3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA3&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gae1a56dc93403f11a289bc5cccfc89394">PDMA3_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA3 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10661">10661</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gab14c3e90fc2807a0c944501a979ce97b" name="gab14c3e90fc2807a0c944501a979ce97b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab14c3e90fc2807a0c944501a979ce97b">&#9670;&nbsp;</a></span>PDMA4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA4&#160;&#160;&#160;((<a class="el" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga640b34d6d227e2ae1f467738e45e2573">PDMA4_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA4 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10662">10662</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga58e74ec4261a6249b687005c7a6aaf02" name="ga58e74ec4261a6249b687005c7a6aaf02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga58e74ec4261a6249b687005c7a6aaf02">&#9670;&nbsp;</a></span>PDMACRC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMACRC&#160;&#160;&#160;((<a class="el" href="../../dc/d95/struct_d_m_a___c_r_c___t.html">DMA_CRC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaca3baf28ee34d10ea3cf8cd41cb03020">PDMACRC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA CRC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10663">10663</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gae4c57f065fae4522432c2e137c947436" name="gae4c57f065fae4522432c2e137c947436"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4c57f065fae4522432c2e137c947436">&#9670;&nbsp;</a></span>PDMAGCR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMAGCR&#160;&#160;&#160;((<a class="el" href="../../da/d8e/struct_d_m_a___g_c_r___t.html">DMA_GCR_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa541818ffba2b149994ff51f62b98d29">PDMAGCR_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PDMA global control register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10664">10664</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga211238ffe3627f42ca7b04bc96cc8fa6" name="ga211238ffe3627f42ca7b04bc96cc8fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga211238ffe3627f42ca7b04bc96cc8fa6">&#9670;&nbsp;</a></span>PE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PE&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab487b1983d936c4fee3e9e88b95aad9d">GPIOE_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port E register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10656">10656</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaa0e278c26c25558741febfadd7216caa" name="gaa0e278c26c25558741febfadd7216caa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa0e278c26c25558741febfadd7216caa">&#9670;&nbsp;</a></span>PF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PF&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7f9a3f4223a1a784af464a114978d26e">GPIOF_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port F register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10657">10657</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga7a4ad06a2bcb1065209a117ea09bbfbf" name="ga7a4ad06a2bcb1065209a117ea09bbfbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a4ad06a2bcb1065209a117ea09bbfbf">&#9670;&nbsp;</a></span>PWM0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM0&#160;&#160;&#160;((<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafd4cf3319d145ce948188816693d06d6">PWM0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PWM0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10641">10641</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga5359a088f5d8b20ce74d920e46059304" name="ga5359a088f5d8b20ce74d920e46059304"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5359a088f5d8b20ce74d920e46059304">&#9670;&nbsp;</a></span>RTC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC&#160;&#160;&#160;((<a class="el" href="../../d3/db0/struct_r_t_c___t.html">RTC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4265e665d56225412e57a61d87417022">RTC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to RTC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10632">10632</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gadab49b9fc27febd87bbc529b0b9a5d67" name="gadab49b9fc27febd87bbc529b0b9a5d67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadab49b9fc27febd87bbc529b0b9a5d67">&#9670;&nbsp;</a></span>SC0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC0&#160;&#160;&#160;((<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac033c7daa22ae646408a635005a3cdd7">SC0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SC0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10646">10646</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga8aeb36cc3ad2c5cc4eb7d4782160a14c" name="ga8aeb36cc3ad2c5cc4eb7d4782160a14c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8aeb36cc3ad2c5cc4eb7d4782160a14c">&#9670;&nbsp;</a></span>SC1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC1&#160;&#160;&#160;((<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga9b1b1711d2d7dfaa0bb4d690477da61d">SC1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SC1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10647">10647</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaf26e39c91b262cc480085abcc450d3d5" name="gaf26e39c91b262cc480085abcc450d3d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf26e39c91b262cc480085abcc450d3d5">&#9670;&nbsp;</a></span>SPI0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI0&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">SPI0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SPI0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10639">10639</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gad483be344a28ac800be8f03654a9612f" name="gad483be344a28ac800be8f03654a9612f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad483be344a28ac800be8f03654a9612f">&#9670;&nbsp;</a></span>SPI1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI1&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga50cd8b47929f18b05efbd0f41253bf8d">SPI1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SPI1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10640">10640</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gae3d9f52a1a315303ad04f0576bd42a25" name="gae3d9f52a1a315303ad04f0576bd42a25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae3d9f52a1a315303ad04f0576bd42a25">&#9670;&nbsp;</a></span>SYS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS&#160;&#160;&#160;((<a class="el" href="../../d8/d7f/struct_s_y_s___t.html">SYS_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0da045a8f147a1dffad9df645d6f55db">SYS_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SYS register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">10650</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaf1b746ba5ab7d0ab657156ebda0f290c" name="gaf1b746ba5ab7d0ab657156ebda0f290c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1b746ba5ab7d0ab657156ebda0f290c">&#9670;&nbsp;</a></span>TIMER0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to TIMER0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10633">10633</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga63bf4f24c85f26e838f55701a5e69831" name="ga63bf4f24c85f26e838f55701a5e69831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga63bf4f24c85f26e838f55701a5e69831">&#9670;&nbsp;</a></span>TIMER1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to TIMER1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10634">10634</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaca904d0e4ebb6d643c349f7f05613995" name="gaca904d0e4ebb6d643c349f7f05613995"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaca904d0e4ebb6d643c349f7f05613995">&#9670;&nbsp;</a></span>TIMER2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER2&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga933376d74e94dae8f42e17c09bd91faa">TIMER2_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to TIMER2 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10635">10635</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga6d4063b72c434f0e7afa8eb2a0e7ee00" name="ga6d4063b72c434f0e7afa8eb2a0e7ee00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6d4063b72c434f0e7afa8eb2a0e7ee00">&#9670;&nbsp;</a></span>TIMER3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER3&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2bcbc0fe8296511a1a9d12caff242819">TIMER3_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to TIMER3 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10636">10636</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga0508661f121639ffdee7de2353a0def2" name="ga0508661f121639ffdee7de2353a0def2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0508661f121639ffdee7de2353a0def2">&#9670;&nbsp;</a></span>UART0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART0&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a07348b4332ff6b88abf6092347deba">UART0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to UART0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10642">10642</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga8d69bf04d07af4fbbab5a8bd291f65ff" name="ga8d69bf04d07af4fbbab5a8bd291f65ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8d69bf04d07af4fbbab5a8bd291f65ff">&#9670;&nbsp;</a></span>UART1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART1&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga383bf0c4670c3a7fa72df80f66331a46">UART1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to UART1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10643">10643</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga9646f603341e1ee220bf5d9948f05cb0" name="ga9646f603341e1ee220bf5d9948f05cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9646f603341e1ee220bf5d9948f05cb0">&#9670;&nbsp;</a></span>WDT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT&#160;&#160;&#160;((<a class="el" href="../../d9/d18/struct_w_d_t___t.html">WDT_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to WDT register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10630">10630</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga8191172d5a07f323cfcb4bebf36801d6" name="ga8191172d5a07f323cfcb4bebf36801d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8191172d5a07f323cfcb4bebf36801d6">&#9670;&nbsp;</a></span>WWDT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT&#160;&#160;&#160;((<a class="el" href="../../d3/d15/struct_w_w_d_t___t.html">WWDT_T</a> *) <a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2e03465382873f5ec4eb6842d3d7acad">WWDT_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to WWDT register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10631">10631</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
